/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {PointFResponse} from "./pointFResponse";

export class ExitResponse {
    public exitId: string;

    public area1: string;

    public area2: string;

    public pt1: PointFResponse;

    public pt2: PointFResponse;

    /**
     * Creates a ExitResponse.
     *
     * @param {string} exitId
     * @param {string} area1
     * @param {string} area2
     * @param {PointFResponse} pt1
     * @param {PointFResponse} pt2
     */
    constructor(exitId: string, area1: string, area2: string, pt1: PointFResponse, pt2: PointFResponse) {
        this.exitId = exitId;
        this.area1 = area1;
        this.area2 = area2;
        this.pt1 = pt1;
        this.pt2 = pt2;
    }
}